textures/etl_base/darkness_sky
{
	qer_editorimage textures/darkness_sky/editor.jpg
	
	skyParms textures/darkness_sky/darkness_sky 2048 -

	q3map_sunExt 0.68 0.68 0.90 5 250 50 .5 16	// R G B Intensity Angle Pitch
	q3map_sun 0.68 0.68 0.90 0 250 50


	q3map_skylight 5 4                    //amount iterations
	q3map_noFog
	
	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

}

textures/etl_base/_grass
{
	qer_editorimage textures/temperate_sd/grass_path1.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	
	q3map_foliage models/foliages/foliage01.md3 .75 200 0.2 2
	q3map_foliage models/foliages/foliage01b.md3 .8 200 0.2 2
	q3map_foliage models/foliages/foliage03.md3 .9 200 0.2 2
	q3map_foliage models/foliages/foliage02.md3 .8 500 0.05 2
	
	surfaceparm grasssteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/temperate_sd/grass_path1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/_road
{
	qer_editorimage textures/temperate_sd/dirt3.tga // textures/stone/dirt_m03.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/temperate_sd/dirt3.tga // textures/stone/dirt_m03.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/temperate_sd/dirt_m03icmp_brown.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale .5 .5
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/_road_border
{
	qer_editorimage textures/temperate_sd/dirt3.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/temperate_sd/dirt3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// tcMod scale .5 .5
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/_water
{ 
	qer_editorimage textures/editor/blue1.tga
	qer_trans .5
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_nonplanar
	cull none
	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		blendfunc blend
	}	
	{ 
		//Primary 1
		map textures/etl_base/water.tga
		alphaGen const 0.25
		blendfunc blend
		tcmod turb 0 0.02 0 0.30
		rgbGen identity
	}
	{
		map textures/etl_base/water_overlay.tga
		rgbgen wave sin 0.5 0.1 0.6 0.3
		alphaGen const 0.25
		tcmod scale 2 2
		tcmod turb 0 0.02 0 0.30 
		tcmod scroll 0 0.085
		blendfunc gl_src_alpha gl_one
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/_rubble
{
	qer_editorimage textures/rubble/debri_m05.tga
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm landmine
	{
		// Primary 1
		map textures/rubble/debri_m05.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/_rock
{
	qer_editorimage textures/terrain/cliff_m05Dcon.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/terrain/cliff_m05Dcon.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2t.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/_rock2
{
	qer_editorimage textures/terrain/cliff_m05Dcon.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/terrain/cliff_m05Dcon.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2bo.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/_mountain
{
	qer_editorimage textures/stone/mxrock2bo.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	
	q3map_foliage models/mapobjects/trees_sd/temp_tree_a.md3 1.5 3000 0.02 2
	q3map_foliage models/mapobjects/trees_sd/temp_tree_b.md3 1.25 3000 0.02 2
	q3map_foliage models/mapobjects/trees_sd/temp_tree_c.md3 1.3 3000 0.2 2
	q3map_foliage models/mapobjects/trees_sd/temp_tree_d.md3 1.2 3000 0.02 2
	q3map_foliage models/mapobjects/trees_sd/temp_tree_e.md3 1.75 3000 0.02 2
	
	surfaceparm grasssteps
	{
		// Primary 1
		map textures/stone/mxrock2bo.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/_mountain_nofoliage
{
	qer_editorimage textures/stone/mxrock2bo.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	
	surfaceparm grasssteps
	{
		// Primary 1
		map textures/stone/mxrock2bo.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/_sand
{
	qer_editorimage textures/temperate_sd/rocky_sand.tga
	q3map_nonplanar
	q3map_shadeangle 128
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	{
		// Primary 1
		map textures/temperate_sd/rocky_sand.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/stone/mxrock2bo.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/gate_lights_neutral
{
	qer_editorimage textures/lights/light_tp_m05.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_base/bridge_door_lights_neutral
{
	qer_editorimage textures/lights/light_tp_m05.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_base/radar_walls
{
	qer_editorimage textures/etl_base/tug_side_brown.tga
	surfaceparm metalsteps
	{
		map textures/etl_base/tug_side_brown.tga
		rgbGen identity
		alphaGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/documents_walls
{
	qer_editorimage textures/etl_base/tug_side_brown.tga
	surfaceparm metalsteps
	{
		map textures/etl_base/tug_side_brown.tga
		rgbGen identity
		alphaGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/radar_walls_yellow
{
	qer_editorimage textures/railgun_props/tug_side.tga
	surfaceparm metalsteps
	{
		map textures/railgun_props/tug_side.tga
		rgbGen identity
		alphaGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_base/documents_walls_yellow
{
	qer_editorimage textures/railgun_props/tug_side.tga
	surfaceparm metalsteps
	{
		map textures/railgun_props/tug_side.tga
		rgbGen identity
		alphaGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}